> ## Documentation Index
> Fetch the complete documentation index at: https://docs.kaizenautomation.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get execution

> Retrieves a single execution by ID for the current organization



## OpenAPI

````yaml post /executions/get
openapi: 3.1.0
info:
  title: Kaizen API
  version: 1.0.0
  description: API for the Kaizen Automation Platform
servers:
  - url: https://api.kaizenautomation.com
    description: Production server
security: []
paths:
  /executions/get:
    post:
      tags:
        - Executions
      summary: Get execution
      description: Retrieves a single execution by ID for the current organization
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                id:
                  type: string
                  description: ID of the execution to retrieve
              required:
                - id
              description: Request to get a single execution
      responses:
        '200':
          description: Execution retrieved successfully
          content:
            application/json:
              schema:
                type: object
                properties:
                  execution:
                    oneOf:
                      - type: object
                        properties:
                          id:
                            type: string
                            description: Unique identifier for the execution
                          workflow:
                            type: object
                            properties:
                              id:
                                type: string
                                description: ID of the workflow being executed
                              name:
                                type: string
                                description: Name of the workflow being executed
                            required:
                              - id
                              - name
                          batch:
                            type:
                              - object
                              - 'null'
                            properties:
                              id:
                                type: string
                                description: ID of the execution batch
                              name:
                                type: string
                                description: Name of the execution batch
                            required:
                              - id
                              - name
                            description: Batch information if execution is part of a batch
                          logins:
                            type: array
                            items:
                              type: object
                              properties:
                                id:
                                  type: string
                                  description: ID of the login used for execution
                                name:
                                  type: string
                                  description: Name of the login used for execution
                              required:
                                - id
                                - name
                          authentications:
                            type: array
                            items:
                              $ref: '#/components/schemas/Union_1'
                            description: Authentication responses for this execution
                          startTime:
                            type: string
                            format: date-time
                            description: When the execution started
                          params:
                            type: object
                            additionalProperties: {}
                            description: Execution parameters
                          metadata:
                            type: object
                            additionalProperties: {}
                            description: Execution metadata
                          name:
                            type:
                              - string
                              - 'null'
                            description: Execution name
                          startBlock:
                            oneOf:
                              - type: object
                                properties:
                                  id:
                                    type: string
                                  name:
                                    type: string
                                  blockReferenceId:
                                    type: string
                                  type:
                                    type: string
                                    const: Login
                                  locator:
                                    oneOf:
                                      - $ref: '#/components/schemas/ElementLocator'
                                      - type: 'null'
                                  isCacheable:
                                    type: boolean
                                  skipIfNotPresent:
                                    type: boolean
                                  useWorkflowRecoveryAgent:
                                    type: boolean
                                  data:
                                    type: object
                                    properties:
                                      loginId:
                                        type: string
                                      isParameter:
                                        type: boolean
                                      forceLoginEveryTime:
                                        type: boolean
                                  parentRelationship:
                                    type: object
                                    properties:
                                      blockDepth:
                                        type: number
                                      positionInSequence:
                                        type: number
                                      parentBlockId:
                                        type:
                                          - string
                                          - 'null'
                                      parentSequenceId:
                                        type:
                                          - string
                                          - 'null'
                                        enum:
                                          - sequence
                                          - trueSequence
                                          - falseSequence
                                    required:
                                      - blockDepth
                                      - positionInSequence
                                      - parentBlockId
                                      - parentSequenceId
                                required:
                                  - id
                                  - name
                                  - blockReferenceId
                                  - type
                                  - isCacheable
                                  - skipIfNotPresent
                                  - useWorkflowRecoveryAgent
                                  - data
                                  - parentRelationship
                                title: Login
                              - type: object
                                properties:
                                  id:
                                    type: string
                                  name:
                                    type: string
                                  blockReferenceId:
                                    type: string
                                  type:
                                    type: string
                                    const: Form
                                  locator:
                                    oneOf:
                                      - $ref: '#/components/schemas/ElementLocator'
                                      - type: 'null'
                                  isCacheable:
                                    type: boolean
                                  skipIfNotPresent:
                                    type: boolean
                                  useWorkflowRecoveryAgent:
                                    type: boolean
                                  data:
                                    type: object
                                    properties:
                                      dataPrompt:
                                        $ref: '#/components/schemas/TextValue'
                                        description: >-
                                          Prompt containing the actual
                                          data/information to fill into the form
                                          fields
                                    required:
                                      - dataPrompt
                                  parentRelationship:
                                    type: object
                                    properties:
                                      blockDepth:
                                        type: number
                                      positionInSequence:
                                        type: number
                                      parentBlockId:
                                        type:
                                          - string
                                          - 'null'
                                      parentSequenceId:
                                        type:
                                          - string
                                          - 'null'
                                        enum:
                                          - sequence
                                          - trueSequence
                                          - falseSequence
                                    required:
                                      - blockDepth
                                      - positionInSequence
                                      - parentBlockId
                                      - parentSequenceId
                                required:
                                  - id
                                  - name
                                  - blockReferenceId
                                  - type
                                  - isCacheable
                                  - skipIfNotPresent
                                  - useWorkflowRecoveryAgent
                                  - data
                                  - parentRelationship
                                title: Form Block
                                description: >-
                                  A block that automatically maps and fills
                                  input fields on a form using AI-powered field
                                  detection and data mapping.
                              - type: object
                                properties:
                                  id:
                                    type: string
                                  name:
                                    type: string
                                  blockReferenceId:
                                    type: string
                                  type:
                                    type: string
                                    const: FillDocument
                                  locator:
                                    oneOf:
                                      - $ref: '#/components/schemas/ElementLocator'
                                      - type: 'null'
                                  isCacheable:
                                    type: boolean
                                  skipIfNotPresent:
                                    type: boolean
                                  useWorkflowRecoveryAgent:
                                    type: boolean
                                  data:
                                    type: object
                                    properties:
                                      fileId:
                                        type: string
                                        description: The ID of the file to fill
                                      prompt:
                                        $ref: '#/components/schemas/TextValue'
                                        description: >-
                                          The prompt describing what to fill in
                                          the document
                                    required:
                                      - fileId
                                      - prompt
                                  parentRelationship:
                                    type: object
                                    properties:
                                      blockDepth:
                                        type: number
                                      positionInSequence:
                                        type: number
                                      parentBlockId:
                                        type:
                                          - string
                                          - 'null'
                                      parentSequenceId:
                                        type:
                                          - string
                                          - 'null'
                                        enum:
                                          - sequence
                                          - trueSequence
                                          - falseSequence
                                    required:
                                      - blockDepth
                                      - positionInSequence
                                      - parentBlockId
                                      - parentSequenceId
                                required:
                                  - id
                                  - name
                                  - blockReferenceId
                                  - type
                                  - isCacheable
                                  - skipIfNotPresent
                                  - useWorkflowRecoveryAgent
                                  - data
                                  - parentRelationship
                                title: FillDocument
                                description: >-
                                  A block that fills a document with specified
                                  content using AI
                              - type: object
                                properties:
                                  id:
                                    type: string
                                  name:
                                    type: string
                                  blockReferenceId:
                                    type: string
                                  type:
                                    type: string
                                    const: FillSpreadsheet
                                  locator:
                                    oneOf:
                                      - $ref: '#/components/schemas/ElementLocator'
                                      - type: 'null'
                                  isCacheable:
                                    type: boolean
                                  skipIfNotPresent:
                                    type: boolean
                                  useWorkflowRecoveryAgent:
                                    type: boolean
                                  data:
                                    type: object
                                    properties:
                                      fileId:
                                        type: string
                                        description: The ID of the Excel file to fill
                                      prompt:
                                        $ref: '#/components/schemas/TextValue'
                                        description: >-
                                          Optional additional instructions for the
                                          LLM when generating row data
                                      fromOrganizationFiles:
                                        type: boolean
                                        description: >-
                                          Whether the file is selected from
                                          organization files (true) or from a
                                          parameter (false)
                                    required:
                                      - fileId
                                  parentRelationship:
                                    type: object
                                    properties:
                                      blockDepth:
                                        type: number
                                      positionInSequence:
                                        type: number
                                      parentBlockId:
                                        type:
                                          - string
                                          - 'null'
                                      parentSequenceId:
                                        type:
                                          - string
                                          - 'null'
                                        enum:
                                          - sequence
                                          - trueSequence
                                          - falseSequence
                                    required:
                                      - blockDepth
                                      - positionInSequence
                                      - parentBlockId
                                      - parentSequenceId
                                required:
                                  - id
                                  - name
                                  - blockReferenceId
                                  - type
                                  - isCacheable
                                  - skipIfNotPresent
                                  - useWorkflowRecoveryAgent
                                  - data
                                  - parentRelationship
                                title: Fill Spreadsheet
                                description: >-
                                  A block that reads an Excel file, extracts
                                  column headers from the second row, and uses
                                  an LLM to generate data for the third row
                              - type: object
                                properties:
                                  id:
                                    type: string
                                  name:
                                    type: string
                                  blockReferenceId:
                                    type: string
                                  type:
                                    type: string
                                    const: Mouse
                                  locator:
                                    oneOf:
                                      - $ref: '#/components/schemas/ElementLocator'
                                      - type: 'null'
                                  isCacheable:
                                    type: boolean
                                  skipIfNotPresent:
                                    type: boolean
                                  useWorkflowRecoveryAgent:
                                    type: boolean
                                  data:
                                    type: object
                                    properties:
                                      prompt:
                                        $ref: '#/components/schemas/TextValue'
                                      locationHint:
                                        $ref: '#/components/schemas/TextValue'
                                      doubleClick:
                                        type: boolean
                                      force:
                                        type: boolean
                                      useVision:
                                        type: boolean
                                      segment:
                                        type:
                                          - string
                                          - 'null'
                                        enum:
                                          - top
                                          - left
                                  parentRelationship:
                                    type: object
                                    properties:
                                      blockDepth:
                                        type: number
                                      positionInSequence:
                                        type: number
                                      parentBlockId:
                                        type:
                                          - string
                                          - 'null'
                                      parentSequenceId:
                                        type:
                                          - string
                                          - 'null'
                                        enum:
                                          - sequence
                                          - trueSequence
                                          - falseSequence
                                    required:
                                      - blockDepth
                                      - positionInSequence
                                      - parentBlockId
                                      - parentSequenceId
                                required:
                                  - id
                                  - name
                                  - blockReferenceId
                                  - type
                                  - isCacheable
                                  - skipIfNotPresent
                                  - useWorkflowRecoveryAgent
                                  - data
                                  - parentRelationship
                                title: Mouse Block
                              - type: object
                                properties:
                                  id:
                                    type: string
                                  name:
                                    type: string
                                  blockReferenceId:
                                    type: string
                                  type:
                                    type: string
                                    const: Hover
                                  locator:
                                    oneOf:
                                      - $ref: '#/components/schemas/ElementLocator'
                                      - type: 'null'
                                  isCacheable:
                                    type: boolean
                                  skipIfNotPresent:
                                    type: boolean
                                  useWorkflowRecoveryAgent:
                                    type: boolean
                                  data:
                                    type: object
                                    properties:
                                      prompt:
                                        $ref: '#/components/schemas/TextValue'
                                      locationHint:
                                        $ref: '#/components/schemas/TextValue'
                                      useVision:
                                        type: boolean
                                  parentRelationship:
                                    type: object
                                    properties:
                                      blockDepth:
                                        type: number
                                      positionInSequence:
                                        type: number
                                      parentBlockId:
                                        type:
                                          - string
                                          - 'null'
                                      parentSequenceId:
                                        type:
                                          - string
                                          - 'null'
                                        enum:
                                          - sequence
                                          - trueSequence
                                          - falseSequence
                                    required:
                                      - blockDepth
                                      - positionInSequence
                                      - parentBlockId
                                      - parentSequenceId
                                required:
                                  - id
                                  - name
                                  - blockReferenceId
                                  - type
                                  - isCacheable
                                  - skipIfNotPresent
                                  - useWorkflowRecoveryAgent
                                  - data
                                  - parentRelationship
                                title: Hover Block
                              - type: object
                                properties:
                                  id:
                                    type: string
                                  name:
                                    type: string
                                  blockReferenceId:
                                    type: string
                                  type:
                                    type: string
                                    const: Search
                                  locator:
                                    oneOf:
                                      - $ref: '#/components/schemas/ElementLocator'
                                      - type: 'null'
                                  isCacheable:
                                    type: boolean
                                  skipIfNotPresent:
                                    type: boolean
                                  useWorkflowRecoveryAgent:
                                    type: boolean
                                  data:
                                    type: object
                                    properties:
                                      prompt:
                                        $ref: '#/components/schemas/TextValue'
                                      query:
                                        $ref: '#/components/schemas/TextValue'
                                      shouldNotClearFirst:
                                        type: boolean
                                        default: true
                                      shouldType:
                                        type: boolean
                                      agenticSearch:
                                        type: boolean
                                      knowledgeBaseIds:
                                        type: array
                                        items:
                                          type: string
                                      instructions:
                                        $ref: '#/components/schemas/TextValue'
                                      skipIfMaxStepsReached:
                                        type: boolean
                                    required:
                                      - prompt
                                      - query
                                      - shouldNotClearFirst
                                  parentRelationship:
                                    type: object
                                    properties:
                                      blockDepth:
                                        type: number
                                      positionInSequence:
                                        type: number
                                      parentBlockId:
                                        type:
                                          - string
                                          - 'null'
                                      parentSequenceId:
                                        type:
                                          - string
                                          - 'null'
                                        enum:
                                          - sequence
                                          - trueSequence
                                          - falseSequence
                                    required:
                                      - blockDepth
                                      - positionInSequence
                                      - parentBlockId
                                      - parentSequenceId
                                required:
                                  - id
                                  - name
                                  - blockReferenceId
                                  - type
                                  - isCacheable
                                  - skipIfNotPresent
                                  - useWorkflowRecoveryAgent
                                  - data
                                  - parentRelationship
                                title: Search
                              - type: object
                                properties:
                                  id:
                                    type: string
                                  name:
                                    type: string
                                  blockReferenceId:
                                    type: string
                                  type:
                                    type: string
                                    const: Input
                                  locator:
                                    oneOf:
                                      - $ref: '#/components/schemas/ElementLocator'
                                      - type: 'null'
                                  isCacheable:
                                    type: boolean
                                  skipIfNotPresent:
                                    type: boolean
                                  useWorkflowRecoveryAgent:
                                    type: boolean
                                  data:
                                    oneOf:
                                      - oneOf:
                                          - type: object
                                            properties:
                                              key:
                                                type: string
                                              mode:
                                                type: string
                                                enum:
                                                  - code
                                                  - aiInference
                                              useVision:
                                                type: boolean
                                              inputType:
                                                type: string
                                                const: TextInput
                                              value:
                                                type: string
                                              semanticValue:
                                                type: string
                                              knowledgeBaseIds:
                                                type: array
                                                items:
                                                  type: string
                                              shouldNotClearFirst:
                                                type: boolean
                                            required:
                                              - key
                                              - inputType
                                              - semanticValue
                                          - type: object
                                            properties:
                                              key:
                                                type: string
                                              mode:
                                                type: string
                                                enum:
                                                  - code
                                                  - aiInference
                                              useVision:
                                                type: boolean
                                              inputType:
                                                type: string
                                                const: TextInput
                                              value:
                                                type: string
                                              semanticValue:
                                                type: string
                                              knowledgeBaseIds:
                                                type: array
                                                items:
                                                  type: string
                                              shouldNotClearFirst:
                                                type: boolean
                                            required:
                                              - key
                                              - inputType
                                              - value
                                      - type: object
                                        properties:
                                          key:
                                            type: string
                                          mode:
                                            type: string
                                            enum:
                                              - code
                                              - aiInference
                                          useVision:
                                            type: boolean
                                          inputType:
                                            type: string
                                            const: SensitiveTextInput
                                          value:
                                            type: string
                                        required:
                                          - key
                                          - inputType
                                          - value
                                      - type: object
                                        properties:
                                          key:
                                            type: string
                                          mode:
                                            type: string
                                            enum:
                                              - code
                                              - aiInference
                                          useVision:
                                            type: boolean
                                          inputType:
                                            type: string
                                            const: Dropdown
                                          value:
                                            type: string
                                        required:
                                          - key
                                          - inputType
                                          - value
                                      - type: object
                                        properties:
                                          key:
                                            type: string
                                          mode:
                                            type: string
                                            enum:
                                              - code
                                              - aiInference
                                          useVision:
                                            type: boolean
                                          inputType:
                                            type: string
                                            const: NativeDropdown
                                          value:
                                            type: string
                                        required:
                                          - key
                                          - inputType
                                          - value
                                      - type: object
                                        properties:
                                          key:
                                            type: string
                                          mode:
                                            type: string
                                            enum:
                                              - code
                                              - aiInference
                                          useVision:
                                            type: boolean
                                          inputType:
                                            type: string
                                            const: Checkbox
                                          value:
                                            type: string
                                        required:
                                          - key
                                          - inputType
                                          - value
                                  parentRelationship:
                                    type: object
                                    properties:
                                      blockDepth:
                                        type: number
                                      positionInSequence:
                                        type: number
                                      parentBlockId:
                                        type:
                                          - string
                                          - 'null'
                                      parentSequenceId:
                                        type:
                                          - string
                                          - 'null'
                                        enum:
                                          - sequence
                                          - trueSequence
                                          - falseSequence
                                    required:
                                      - blockDepth
                                      - positionInSequence
                                      - parentBlockId
                                      - parentSequenceId
                                required:
                                  - id
                                  - name
                                  - blockReferenceId
                                  - type
                                  - isCacheable
                                  - skipIfNotPresent
                                  - useWorkflowRecoveryAgent
                                  - data
                                  - parentRelationship
                                title: Input
                              - type: object
                                properties:
                                  id:
                                    type: string
                                  name:
                                    type: string
                                  blockReferenceId:
                                    type: string
                                  type:
                                    type: string
                                    const: DateInput
                                  locator:
                                    oneOf:
                                      - $ref: '#/components/schemas/ElementLocator'
                                      - type: 'null'
                                  isCacheable:
                                    type: boolean
                                  skipIfNotPresent:
                                    type: boolean
                                  useWorkflowRecoveryAgent:
                                    type: boolean
                                  data:
                                    type: object
                                    properties:
                                      key:
                                        $ref: '#/components/schemas/TextValue'
                                      value:
                                        $ref: '#/components/schemas/TextValue'
                                      useVision:
                                        type: boolean
                                        default: false
                                    required:
                                      - key
                                      - value
                                      - useVision
                                  parentRelationship:
                                    type: object
                                    properties:
                                      blockDepth:
                                        type: number
                                      positionInSequence:
                                        type: number
                                      parentBlockId:
                                        type:
                                          - string
                                          - 'null'
                                      parentSequenceId:
                                        type:
                                          - string
                                          - 'null'
                                        enum:
                                          - sequence
                                          - trueSequence
                                          - falseSequence
                                    required:
                                      - blockDepth
                                      - positionInSequence
                                      - parentBlockId
                                      - parentSequenceId
                                required:
                                  - id
                                  - name
                                  - blockReferenceId
                                  - type
                                  - isCacheable
                                  - skipIfNotPresent
                                  - useWorkflowRecoveryAgent
                                  - data
                                  - parentRelationship
                                title: Date Input
                              - type: object
                                properties:
                                  id:
                                    type: string
                                  name:
                                    type: string
                                  blockReferenceId:
                                    type: string
                                  type:
                                    type: string
                                    const: Dropdown
                                  locator:
                                    oneOf:
                                      - $ref: '#/components/schemas/ElementLocator'
                                      - type: 'null'
                                  isCacheable:
                                    type: boolean
                                  skipIfNotPresent:
                                    type: boolean
                                  useWorkflowRecoveryAgent:
                                    type: boolean
                                  data:
                                    type: object
                                    properties:
                                      key:
                                        $ref: '#/components/schemas/TextValue'
                                        description: >-
                                          Label or field description for the
                                          dropdown
                                      value:
                                        $ref: '#/components/schemas/TextValue'
                                        description: >-
                                          The option text to select from the
                                          dropdown
                                      useVision:
                                        type: boolean
                                        description: >-
                                          Use AI vision to identify and click the
                                          dropdown and option instead of selectors
                                      multipleSelect:
                                        type: boolean
                                        description: >-
                                          Select multiple options from the
                                          dropdown
                                    required:
                                      - key
                                      - value
                                  parentRelationship:
                                    type: object
                                    properties:
                                      blockDepth:
                                        type: number
                                      positionInSequence:
                                        type: number
                                      parentBlockId:
                                        type:
                                          - string
                                          - 'null'
                                      parentSequenceId:
                                        type:
                                          - string
                                          - 'null'
                                        enum:
                                          - sequence
                                          - trueSequence
                                          - falseSequence
                                    required:
                                      - blockDepth
                                      - positionInSequence
                                      - parentBlockId
                                      - parentSequenceId
                                required:
                                  - id
                                  - name
                                  - blockReferenceId
                                  - type
                                  - isCacheable
                                  - skipIfNotPresent
                                  - useWorkflowRecoveryAgent
                                  - data
                                  - parentRelationship
                                title: Dropdown
                              - type: object
                                properties:
                                  id:
                                    type: string
                                  name:
                                    type: string
                                  blockReferenceId:
                                    type: string
                                  type:
                                    type: string
                                    const: Extract
                                  locator:
                                    oneOf:
                                      - $ref: '#/components/schemas/ElementLocator'
                                      - type: 'null'
                                  isCacheable:
                                    type: boolean
                                  skipIfNotPresent:
                                    type: boolean
                                  useWorkflowRecoveryAgent:
                                    type: boolean
                                  data:
                                    type: object
                                    properties:
                                      prompt:
                                        $ref: '#/components/schemas/TextValue'
                                      schema: {}
                                      useVision:
                                        type: boolean
                                        default: false
                                      model:
                                        type: string
                                        enum:
                                          - gpt-4.1-mini-2025-04-14
                                          - gpt-4.1-2025-04-14
                                          - gpt-5.1-2025-11-13
                                          - gpt-5.4
                                          - gpt-5.4-mini
                                          - gpt-5.4-nano
                                          - gpt-5.6-terra
                                          - gpt-5.6-luna
                                      overrideModelWithDefault:
                                        type: boolean
                                        default: false
                                        description: >-
                                          When true, uses the default model
                                          (Gemini Flash 2.5) regardless of the
                                          model field value. When false, uses the
                                          model specified in the model field. This
                                          allows internal users to override the
                                          model selection while keeping the
                                          default behavior for all other users.
                                      selector:
                                        type:
                                          - object
                                          - 'null'
                                        properties:
                                          xpath:
                                            type: string
                                        required:
                                          - xpath
                                        description: The XPath selector to extract from.
                                      usePageImage:
                                        type: boolean
                                        default: false
                                        description: >-
                                          When true and useVision is false, sends
                                          both DOM content and a page screenshot
                                          to the model for extraction.
                                      knowledgeBaseIds:
                                        type: array
                                        items:
                                          type: string
                                    required:
                                      - prompt
                                      - useVision
                                      - overrideModelWithDefault
                                      - usePageImage
                                  parentRelationship:
                                    type: object
                                    properties:
                                      blockDepth:
                                        type: number
                                      positionInSequence:
                                        type: number
                                      parentBlockId:
                                        type:
                                          - string
                                          - 'null'
                                      parentSequenceId:
                                        type:
                                          - string
                                          - 'null'
                                        enum:
                                          - sequence
                                          - trueSequence
                                          - falseSequence
                                    required:
                                      - blockDepth
                                      - positionInSequence
                                      - parentBlockId
                                      - parentSequenceId
                                required:
                                  - id
                                  - name
                                  - blockReferenceId
                                  - type
                                  - isCacheable
                                  - skipIfNotPresent
                                  - useWorkflowRecoveryAgent
                                  - data
                                  - parentRelationship
                                title: Extract
                              - type: object
                                properties:
                                  id:
                                    type: string
                                  name:
                                    type: string
                                  blockReferenceId:
                                    type: string
                                  type:
                                    type: string
                                    const: ExtractFromFile
                                  locator:
                                    oneOf:
                                      - $ref: '#/components/schemas/ElementLocator'
                                      - type: 'null'
                                  isCacheable:
                                    type: boolean
                                  skipIfNotPresent:
                                    type: boolean
                                  useWorkflowRecoveryAgent:
                                    type: boolean
                                  data:
                                    type: object
                                    properties:
                                      prompt:
                                        $ref: '#/components/schemas/TextValue'
                                      schema: {}
                                      fileId:
                                        type: string
                                    required:
                                      - fileId
                                  parentRelationship:
                                    type: object
                                    properties:
                                      blockDepth:
                                        type: number
                                      positionInSequence:
                                        type: number
                                      parentBlockId:
                                        type:
                                          - string
                                          - 'null'
                                      parentSequenceId:
                                        type:
                                          - string
                                          - 'null'
                                        enum:
                                          - sequence
                                          - trueSequence
                                          - falseSequence
                                    required:
                                      - blockDepth
                                      - positionInSequence
                                      - parentBlockId
                                      - parentSequenceId
                                required:
                                  - id
                                  - name
                                  - blockReferenceId
                                  - type
                                  - isCacheable
                                  - skipIfNotPresent
                                  - useWorkflowRecoveryAgent
                                  - data
                                  - parentRelationship
                                title: ParseDocument
                              - type: object
                                properties:
                                  id:
                                    type: string
                                  name:
                                    type: string
                                  blockReferenceId:
                                    type: string
                                  type:
                                    type: string
                                    const: ExtractFromInput
                                  locator:
                                    oneOf:
                                      - $ref: '#/components/schemas/ElementLocator'
                                      - type: 'null'
                                  isCacheable:
                                    type: boolean
                                  skipIfNotPresent:
                                    type: boolean
                                  useWorkflowRecoveryAgent:
                                    type: boolean
                                  data:
                                    type: object
                                    properties:
                                      inputText:
                                        $ref: '#/components/schemas/TextValue'
                                      prompt:
                                        $ref: '#/components/schemas/TextValue'
                                      schema: {}
                                      model:
                                        type: string
                                        enum:
                                          - gpt-4.1-mini-2025-04-14
                                          - gpt-4.1-2025-04-14
                                          - gpt-5.1-2025-11-13
                                          - gpt-5.4
                                          - gpt-5.4-mini
                                          - gpt-5.4-nano
                                          - gpt-5.6-terra
                                          - gpt-5.6-luna
                                      overrideModelWithDefault:
                                        type: boolean
                                        default: false
                                        description: >-
                                          When true, uses the default model
                                          (Gemini Flash 2.5) regardless of the
                                          model field value. When false, uses the
                                          model specified in the model field. This
                                          allows internal users to override the
                                          model selection while keeping the
                                          default behavior for all other users.
                                    required:
                                      - inputText
                                      - prompt
                                      - overrideModelWithDefault
                                  parentRelationship:
                                    type: object
                                    properties:
                                      blockDepth:
                                        type: number
                                      positionInSequence:
                                        type: number
                                      parentBlockId:
                                        type:
                                          - string
                                          - 'null'
                                      parentSequenceId:
                                        type:
                                          - string
                                          - 'null'
                                        enum:
                                          - sequence
                                          - trueSequence
                                          - falseSequence
                                    required:
                                      - blockDepth
                                      - positionInSequence
                                      - parentBlockId
                                      - parentSequenceId
                                required:
                                  - id
                                  - name
                                  - blockReferenceId
                                  - type
                                  - isCacheable
                                  - skipIfNotPresent
                                  - useWorkflowRecoveryAgent
                                  - data
                                  - parentRelationship
                                title: Generate
                              - type: object
                                properties:
                                  id:
                                    type: string
                                  name:
                                    type: string
                                  blockReferenceId:
                                    type: string
                                  type:
                                    type: string
                                    const: ExtractImages
                                  locator:
                                    oneOf:
                                      - $ref: '#/components/schemas/ElementLocator'
                                      - type: 'null'
                                  isCacheable:
                                    type: boolean
                                  skipIfNotPresent:
                                    type: boolean
                                  useWorkflowRecoveryAgent:
                                    type: boolean
                                  data:
                                    type: object
                                    properties:
                                      imageDescriptions:
                                        type: array
                                        items:
                                          type: string
                                          pattern: ^[A-Za-z0-9_-]+$
                                          minLength: 1
                                        description: >-
                                          List of image descriptions to extract.
                                          Each description should be a single word
                                          with no spaces (e.g., "logo", "profile",
                                          "banner").
                                    required:
                                      - imageDescriptions
                                  parentRelationship:
                                    type: object
                                    properties:
                                      blockDepth:
                                        type: number
                                      positionInSequence:
                                        type: number
                                      parentBlockId:
                                        type:
                                          - string
                                          - 'null'
                                      parentSequenceId:
                                        type:
                                          - string
                                          - 'null'
                                        enum:
                                          - sequence
                                          - trueSequence
                                          - falseSequence
                                    required:
                                      - blockDepth
                                      - positionInSequence
                                      - parentBlockId
                                      - parentSequenceId
                                required:
                                  - id
                                  - name
                                  - blockReferenceId
                                  - type
                                  - isCacheable
                                  - skipIfNotPresent
                                  - useWorkflowRecoveryAgent
                                  - data
                                  - parentRelationship
                                title: Extract Images
                              - type: object
                                properties:
                                  id:
                                    type: string
                                  name:
                                    type: string
                                  blockReferenceId:
                                    type: string
                                  type:
                                    type: string
                                    const: QueryKnowledgeBase
                                  locator:
                                    oneOf:
                                      - $ref: '#/components/schemas/ElementLocator'
                                      - type: 'null'
                                  isCacheable:
                                    type: boolean
                                  skipIfNotPresent:
                                    type: boolean
                                  useWorkflowRecoveryAgent:
                                    type: boolean
                                  data:
                                    type: object
                                    properties:
                                      knowledgeBaseIds:
                                        type: array
                                        items:
                                          type: string
                                      query:
                                        $ref: '#/components/schemas/TextValue'
                                      schema: {}
                                      model:
                                        type: string
                                        enum:
                                          - gpt-4.1-mini-2025-04-14
                                          - gpt-4.1-2025-04-14
                                          - gpt-5.1-2025-11-13
                                          - gpt-5.4
                                          - gpt-5.4-mini
                                          - gpt-5.4-nano
                                          - gpt-5.6-terra
                                          - gpt-5.6-luna
                                    required:
                                      - knowledgeBaseIds
                                      - query
                                  parentRelationship:
                                    type: object
                                    properties:
                                      blockDepth:
                                        type: number
                                      positionInSequence:
                                        type: number
                                      parentBlockId:
                                        type:
                                          - string
                                          - 'null'
                                      parentSequenceId:
                                        type:
                                          - string
                                          - 'null'
                                        enum:
                                          - sequence
                                          - trueSequence
                                          - falseSequence
                                    required:
                                      - blockDepth
                                      - positionInSequence
                                      - parentBlockId
                                      - parentSequenceId
                                required:
                                  - id
                                  - name
                                  - blockReferenceId
                                  - type
                                  - isCacheable
                                  - skipIfNotPresent
                                  - useWorkflowRecoveryAgent
                                  - data
                                  - parentRelationship
                                title: QueryKnowledgeBase
                              - type: object
                                properties:
                                  id:
                                    type: string
                                  name:
                                    type: string
                                  blockReferenceId:
                                    type: string
                                  type:
                                    type: string
                                    const: API
                                  locator:
                                    oneOf:
                                      - $ref: '#/components/schemas/ElementLocator'
                                      - type: 'null'
                                  isCacheable:
                                    type: boolean
                                  skipIfNotPresent:
                                    type: boolean
                                  useWorkflowRecoveryAgent:
                                    type: boolean
                                  data:
                                    type: object
                                    properties:
                                      method:
                                        type: string
                                        enum:
                                          - GET
                                          - POST
                                          - PUT
                                          - DELETE
                                          - PATCH
                                      route:
                                        $ref: '#/components/schemas/TextValue'
                                        description: The API route to call
                                      data:
                                        $ref: '#/components/schemas/TextValue'
                                        description: The data to send to the API
                                      failOnError:
                                        type: boolean
                                      authorizationKey:
                                        $ref: '#/components/schemas/TextValue'
                                        description: Authorization key for API requests
                                      useBrowserCookies:
                                        type: boolean
                                        description: >-
                                          Whether to use browser cookies in the
                                          request
                                      contentType:
                                        type: string
                                        enum:
                                          - JSON
                                          - FORM_DATA
                                        description: Content type for the request data
                                    required:
                                      - route
                                  parentRelationship:
                                    type: object
                                    properties:
                                      blockDepth:
                                        type: number
                                      positionInSequence:
                                        type: number
                                      parentBlockId:
                                        type:
                                          - string
                                          - 'null'
                                      parentSequenceId:
                                        type:
                                          - string
                                          - 'null'
                                        enum:
                                          - sequence
                                          - trueSequence
                                          - falseSequence
                                    required:
                                      - blockDepth
                                      - positionInSequence
                                      - parentBlockId
                                      - parentSequenceId
                                required:
                                  - id
                                  - name
                                  - blockReferenceId
                                  - type
                                  - isCacheable
                                  - skipIfNotPresent
                                  - useWorkflowRecoveryAgent
                                  - data
                                  - parentRelationship
                                title: API
                              - type: object
                                properties:
                                  id:
                                    type: string
                                  name:
                                    type: string
                                  blockReferenceId:
                                    type: string
                                  type:
                                    type: string
                                    const: Navigate
                                  locator:
                                    oneOf:
                                      - $ref: '#/components/schemas/ElementLocator'
                                      - type: 'null'
                                  isCacheable:
                                    type: boolean
                                  skipIfNotPresent:
                                    type: boolean
                                  useWorkflowRecoveryAgent:
                                    type: boolean
                                  data:
                                    oneOf:
                                      - type: object
                                        properties:
                                          actionType:
                                            type: string
                                            const: GoTo
                                          url:
                                            $ref: '#/components/schemas/TextValue'
                                        required:
                                          - actionType
                                          - url
                                      - type: object
                                        properties:
                                          actionType:
                                            type: string
                                            const: GoBack
                                        required:
                                          - actionType
                                  parentRelationship:
                                    type: object
                                    properties:
                                      blockDepth:
                                        type: number
                                      positionInSequence:
                                        type: number
                                      parentBlockId:
                                        type:
                                          - string
                                          - 'null'
                                      parentSequenceId:
                                        type:
                                          - string
                                          - 'null'
                                        enum:
                                          - sequence
                                          - trueSequence
                                          - falseSequence
                                    required:
                                      - blockDepth
                                      - positionInSequence
                                      - parentBlockId
                                      - parentSequenceId
                                required:
                                  - id
                                  - name
                                  - blockReferenceId
                                  - type
                                  - isCacheable
                                  - skipIfNotPresent
                                  - useWorkflowRecoveryAgent
                                  - data
                                  - parentRelationship
                                title: Navigate
                              - type: object
                                properties:
                                  id:
                                    type: string
                                  name:
                                    type: string
                                  blockReferenceId:
                                    type: string
                                  type:
                                    type: string
                                    const: CloseTab
                                  locator:
                                    oneOf:
                                      - $ref: '#/components/schemas/ElementLocator'
                                      - type: 'null'
                                  isCacheable:
                                    type: boolean
                                  skipIfNotPresent:
                                    type: boolean
                                  useWorkflowRecoveryAgent:
                                    type: boolean
                                  data:
                                    type: object
                                  parentRelationship:
                                    type: object
                                    properties:
                                      blockDepth:
                                        type: number
                                      positionInSequence:
                                        type: number
                                      parentBlockId:
                                        type:
                                          - string
                                          - 'null'
                                      parentSequenceId:
                                        type:
                                          - string
                                          - 'null'
                                        enum:
                                          - sequence
                                          - trueSequence
                                          - falseSequence
                                    required:
                                      - blockDepth
                                      - positionInSequence
                                      - parentBlockId
                                      - parentSequenceId
                                required:
                                  - id
                                  - name
                                  - blockReferenceId
                                  - type
                                  - isCacheable
                                  - skipIfNotPresent
                                  - useWorkflowRecoveryAgent
                                  - data
                                  - parentRelationship
                                title: Close Page
                              - type: object
                                properties:
                                  id:
                                    type: string
                                  name:
                                    type: string
                                  blockReferenceId:
                                    type: string
                                  type:
                                    type: string
                                    const: ClosePopup
                                  locator:
                                    oneOf:
                                      - $ref: '#/components/schemas/ElementLocator'
                                      - type: 'null'
                                  isCacheable:
                                    type: boolean
                                  skipIfNotPresent:
                                    type: boolean
                                  useWorkflowRecoveryAgent:
                                    type: boolean
                                  data:
                                    type: object
                                    properties:
                                      prompt:
                                        $ref: '#/components/schemas/TextValue'
                                      useVision:
                                        type: boolean
                                  parentRelationship:
                                    type: object
                                    properties:
                                      blockDepth:
                                        type: number
                                      positionInSequence:
                                        type: number
                                      parentBlockId:
                                        type:
                                          - string
                                          - 'null'
                                      parentSequenceId:
                                        type:
                                          - string
                                          - 'null'
                                        enum:
                                          - sequence
                                          - trueSequence
                                          - falseSequence
                                    required:
                                      - blockDepth
                                      - positionInSequence
                                      - parentBlockId
                                      - parentSequenceId
                                required:
                                  - id
                                  - name
                                  - blockReferenceId
                                  - type
                                  - isCacheable
                                  - skipIfNotPresent
                                  - useWorkflowRecoveryAgent
                                  - data
                                  - parentRelationship
                                title: Close Popup
                                description: >-
                                  Automatically close cookie consent and other
                                  popups using AI detection
                              - type: object
                                properties:
                                  id:
                                    type: string
                                  name:
                                    type: string
                                  blockReferenceId:
                                    type: string
                                  type:
                                    type: string
                                    const: FileUpload
                                  locator:
                                    oneOf:
                                      - $ref: '#/components/schemas/ElementLocator'
                                      - type: 'null'
                                  isCacheable:
                                    type: boolean
                                  skipIfNotPresent:
                                    type: boolean
                                  useWorkflowRecoveryAgent:
                                    type: boolean
                                  data:
                                    type: object
                                    properties:
                                      fileId:
                                        type: string
                                      fileIds:
                                        type: array
                                        items:
                                          type: string
                                      prompt:
                                        $ref: '#/components/schemas/TextValue'
                                      useVision:
                                        type: boolean
                                      fromOrganizationFiles:
                                        type: boolean
                                    required:
                                      - fileId
                                      - prompt
                                  parentRelationship:
                                    type: object
                                    properties:
                                      blockDepth:
                                        type: number
                                      positionInSequence:
                                        type: number
                                      parentBlockId:
                                        type:
                                          - string
                                          - 'null'
                                      parentSequenceId:
                                        type:
                                          - string
                                          - 'null'
                                        enum:
                                          - sequence
                                          - trueSequence
                                          - falseSequence
                                    required:
                                      - blockDepth
                                      - positionInSequence
                                      - parentBlockId
                                      - parentSequenceId
                                required:
                                  - id
                                  - name
                                  - blockReferenceId
                                  - type
                                  - isCacheable
                                  - skipIfNotPresent
                                  - useWorkflowRecoveryAgent
                                  - data
                                  - parentRelationship
                              - type: object
                                properties:
                                  id:
                                    type: string
                                  name:
                                    type: string
                                  blockReferenceId:
                                    type: string
                                  type:
                                    type: string
                                    const: Wait
                                  locator:
                                    oneOf:
                                      - $ref: '#/components/schemas/ElementLocator'
                                      - type: 'null'
                                  isCacheable:
                                    type: boolean
                                  skipIfNotPresent:
                                    type: boolean
                                  useWorkflowRecoveryAgent:
                                    type: boolean
                                  data:
                                    type: object
                                    properties:
                                      durationSeconds:
                                        type: number
                                        minimum: 0.1
                                        maximum: 300
                                    required:
                                      - durationSeconds
                                  parentRelationship:
                                    type: object
                                    properties:
                                      blockDepth:
                                        type: number
                                      positionInSequence:
                                        type: number
                                      parentBlockId:
                                        type:
                                          - string
                                          - 'null'
                                      parentSequenceId:
                                        type:
                                          - string
                                          - 'null'
                                        enum:
                                          - sequence
                                          - trueSequence
                                          - falseSequence
                                    required:
                                      - blockDepth
                                      - positionInSequence
                                      - parentBlockId
                                      - parentSequenceId
                                required:
                                  - id
                                  - name
                                  - blockReferenceId
                                  - type
                                  - isCacheable
                                  - skipIfNotPresent
                                  - useWorkflowRecoveryAgent
                                  - data
                                  - parentRelationship
                                title: Wait
                              - type: object
                                properties:
                                  id:
                                    type: string
                                  name:
                                    type: string
                                  blockReferenceId:
                                    type: string
                                  type:
                                    type: string
                                    const: WaitForCondition
                                  locator:
                                    oneOf:
                                      - $ref: '#/components/schemas/ElementLocator'
                                      - type: 'null'
                                  isCacheable:
                                    type: boolean
                                  skipIfNotPresent:
                                    type: boolean
                                  useWorkflowRecoveryAgent:
                                    type: boolean
                                  data:
                                    type: object
                                    properties:
                                      eventDescription:
                                        $ref: '#/components/schemas/TextValue'
                                      maxTimeoutSeconds:
                                        type: number
                                        minimum: 1
                                        maximum: 3600
                                        default: 60
                                    required:
                                      - eventDescription
                                      - maxTimeoutSeconds
                                  parentRelationship:
                                    type: object
                                    properties:
                                      blockDepth:
                                        type: number
                                      positionInSequence:
                                        type: number
                                      parentBlockId:
                                        type:
                                          - string
                                          - 'null'
                                      parentSequenceId:
                                        type:
                                          - string
                                          - 'null'
                                        enum:
                                          - sequence
                                          - trueSequence
                                          - falseSequence
                                    required:
                                      - blockDepth
                                      - positionInSequence
                                      - parentBlockId
                                      - parentSequenceId
                                required:
                                  - id
                                  - name
                                  - blockReferenceId
                                  - type
                                  - isCacheable
                                  - skipIfNotPresent
                                  - useWorkflowRecoveryAgent
                                  - data
                                  - parentRelationship
                                title: WaitForCondition
                              - type: object
                                properties:
                                  id:
                                    type: string
                                  name:
                                    type: string
                                  blockReferenceId:
                                    type: string
                                  type:
                                    type: string
                                    const: WaitForCaptchaSolve
                                  locator:
                                    oneOf:
                                      - $ref: '#/components/schemas/ElementLocator'
                                      - type: 'null'
                                  isCacheable:
                                    type: boolean
                                  skipIfNotPresent:
                                    type: boolean
                                  useWorkflowRecoveryAgent:
                                    type: boolean
                                  data:
                                    type: object
                                    properties:
                                      timeoutSeconds:
                                        type: number
                                  parentRelationship:
                                    type: object
                                    properties:
                                      blockDepth:
                                        type: number
                                      positionInSequence:
                                        type: number
                                      parentBlockId:
                                        type:
                                          - string
                                          - 'null'
                                      parentSequenceId:
                                        type:
                                          - string
                                          - 'null'
                                        enum:
                                          - sequence
                                          - trueSequence
                                          - falseSequence
                                    required:
                                      - blockDepth
                                      - positionInSequence
                                      - parentBlockId
                                      - parentSequenceId
                                required:
                                  - id
                                  - name
                                  - blockReferenceId
                                  - type
                                  - isCacheable
                                  - skipIfNotPresent
                                  - useWorkflowRecoveryAgent
                                  - data
                                  - parentRelationship
                                title: Wait For Captcha Solve
                              - type: object
[...]
